package ccc.gae;

import java.util.Date;
import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;
import com.google.appengine.api.users.User;
import com.google.appengine.api.datastore.Text;

@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class TxtRecord {
    @PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    public Long id;

    @Persistent
    public User user;

    @Persistent
    public String path;
    
    @Persistent
    public String tag1;
        
    @Persistent
    public Text text;

    @Persistent
    public Date date;

    public TxtRecord(User user, String path, String wiki, Date date) {
        this.user = user;
        this.path = path;
        this.text = new Text(wiki);
        this.date = date;
    }
    
    public TxtRecord setText(String text) { 
    	this.text = new Text(text);
    	return this;
    }
    
    public String getText() { return text.toString(); }
}